// LissajousView.h : CLissajousView クラスのインターフェイス
//


#pragma once


class CLissajousView : public CView
{
protected: // シリアル化からのみ作成します。
	CLissajousView();
	DECLARE_DYNCREATE(CLissajousView)

// 属性
public:
	CLissajousDoc* GetDocument() const;

// 操作
public:

// オーバーライド
public:
	virtual void OnDraw(CDC* pDC);  // このビューを描画するためにオーバーライドされます。
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// 実装
public:
	virtual ~CLissajousView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 生成された、メッセージ割り当て関数
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // LissajousView.cpp のデバッグ バージョン
inline CLissajousDoc* CLissajousView::GetDocument() const
   { return reinterpret_cast<CLissajousDoc*>(m_pDocument); }
#endif

